use crate::perlin::Perlin;
use crate::{Color, Point3};
use crate::texture::Texture;

pub struct NoiseTexture {
    pub noise: Perlin
}

impl Texture for NoiseTexture {
    fn value(&self, _u: f64, _v: f64, point: &Point3) -> Color {
        Color::new(1.0, 1.0, 1.0) * self.noise.noise(point)
    }
}
